﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using CnetSDK.Excel.Trial;

namespace CnetSDK.Excel.Trial.Demo
{
    public static class HowToCreateAndReadExcel
    {
        public static void CreateANewExcelFile()
        {
            // Create a new excel.
            CSExcel ExcelLibrary = new CSExcel();
            // Create a new sheet.
            CSSheet Sheet1 = ExcelLibrary.CreateSheet();

            // Create a new row at the first line.
            CSRow Row1 = Sheet1.AddRow(0);
            // Create a new cell at the first column.
            CSCell Cell1 = Row1.AddCell(0);
            Cell1.InputValue(123);

            // Create a new row at the third line.
            CSRow Row2 = Sheet1.AddRow(3);
            // Create a new cell at the fifth column.
            CSCell Cell2 = Row2.AddCell(5);
            Cell2.InputValue("CnetSDKExcel");

            // Save and show the spreadsheet.
            if (File.Exists("CnetSDKSample.xlsx")) File.Delete("CnetSDKSample.xlsx");
            ExcelLibrary.Save("CnetSDKSample.xlsx");
            Process.Start("CnetSDKSample.xlsx");
        }

        public static void ReadExcelFromStream()
        {
            string InputExcelFile = "CnetSDKSample.xlsx";

            using (FileStream ExcelFileStream = File.Open(InputExcelFile, FileMode.Open, FileAccess.Read))
            {
                // Load an Excel from file stream.
                CSExcel ExcelLibrary = new CSExcel(ExcelFileStream);
                // Get a sheet by name.
                CSSheet Sheet1 = ExcelLibrary.GetSheet("Sheet1");

                // Get a row by row ID.
                CSRow Row1 = Sheet1.GetRow(0);
                // Get a cell by cell ID.
                CSCell Cell1 = Row1.GetCell(0);
                // Show the data of defined cell, which is Cell("A0").
                CSCellType Type = Cell1.CellType;
                if (Type == CSCellType.String)
                {
                    Console.WriteLine(Cell1.StringOutput);
                    Console.ReadKey();
                }
                else if (Type == CSCellType.Numeric)
                {
                    Console.WriteLine(Cell1.NumericOutput);
                    Console.ReadKey();
                }
            }

        }


        public static void ReadExcelFromFileExample1()
        {
            // Load an Excel from local file.
            CSExcel ExcelLibrary = new CSExcel("CnetSDKSample.xlsx");
            // Get a sheet by name.
            CSSheet Sheet1 = ExcelLibrary.GetSheet("Sheet1");

            // Get a row by row ID.
            CSRow Row1 = Sheet1.GetRow(0);
            // Get a cell by cell ID.
            CSCell Cell1 = Row1.GetCell(0);
            CSCellType Type = Cell1.CellType;

            // Show data of the cell, which is Cell("A0").
            if (Type == CSCellType.String)
            {
                Console.WriteLine(Cell1.StringOutput);
                Console.ReadKey();
            }
            else if (Type == CSCellType.Numeric)
            {
                Console.WriteLine(Cell1.NumericOutput);
                Console.ReadKey();
            }
        }


        public static void ReadExcelFromFileExample2()
        {
            CSExcel ExcelLibrary = new CSExcel("CnetSDKSample.xlsx");
            CSSheet Sheet1 = ExcelLibrary.GetSheet("Sheet1");

            int StartRow = Sheet1.FirstRowID;
            int EndRow = Sheet1.LastRowID;

            for (int i = StartRow; i <= EndRow; i++)
            {
                CSRow Row1 = Sheet1.GetRow(i);
                if (Row1 != null)
                {
                    int StartColumn = Row1.FirstCellID;
                    int EndColumn = Row1.LastCellID;

                    for (int j = StartColumn; j < EndColumn; j++)
                    {
                        CSCell Cell1 = Row1.GetCell(j);
                        if (Cell1 != null)
                        {
                            CSCellType Type = Cell1.CellType;
                            if (Type == CSCellType.String)
                            {
                                Console.WriteLine(Cell1.StringOutput);
                                Console.ReadKey();
                            }
                            else if (Type == CSCellType.Numeric)
                            {
                                Console.WriteLine(Cell1.NumericOutput);
                                Console.ReadKey();
                            }

                        }
                    }
                }
            }
        }
    }
}