﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using CnetSDK.Excel.Trial;

namespace CnetSDK.Excel.Trial.Demo
{
    public static class HowToExportData
    {

        public static DataSet ExportSheetsToDataSet()
        {
            string FileName = "CnetSDKSample.xlsx";
            // Load an Excel from local file.
            CSExcel ExcelLibrary = new CSExcel(FileName);

            DataSet Dataset = new DataSet();

            // Find all sheets in the Excel.
            for (int i = 0; i < ExcelLibrary.SheetCount; i++)
            {
                if (!ExcelLibrary.SheetHidden(i))
                {
                    // Export sheet to datatable.
                    DataTable Datatable = ExcelLibrary.ExportDataFromSheetToDataTable(i);
                    // Add each datatable from sheet to dataset.
                    Dataset.Tables.Add(Datatable);
                }
            }

            return Dataset;
        }
        public static DataTable ExportSheetToDataTable()
        {
            string FileName = "CnetSDKSample.xlsx";
            // Specify the sheet you want to export data from.
            int SheetID = 0;

            // Create an Excel with local file.
            CSExcel ExcelLibrary = new CSExcel(FileName);

            // Export data from sheet to datatable.
            DataTable Datatable = ExcelLibrary.ExportDataFromSheetToDataTable(SheetID);

            return Datatable;
        }

        public static void ExportSheetToSQLTable()
        {
            string FileName = "CnetSDKSample.xlsx";
            int sheetId = 0;

            // Load an Excel from local file.
            CSExcel ExcelLibrary = new CSExcel(FileName);

            // Export data from sheet to datatable.
            DataTable Datatable = ExcelLibrary.ExportDataFromSheetToDataTable(sheetId);

            // Save data to SQL database.
            AddTableToSQLDatabase(Datatable);
        }

        private static void AddTableToSQLDatabase(DataTable dt)
        {
            string connString = @"Data Source=.;Initial Catalog=database name;Integrated Security=True";
            string query = @"INSERT INTO tableName (paramColum) VALUES (@paramName)";

            using (SqlConnection sqlConn = new SqlConnection(connString))
            {
                using (SqlCommand sqlComm = new SqlCommand(query, sqlConn))
                {
                    sqlComm.Parameters.Add("@paramName", SqlDbType.Text);
                    sqlConn.Open();

                    foreach (DataRow Datarow in dt.Rows)
                    {
                        string paramSource = Datarow[0].ToString();
                        sqlComm.Parameters["@paramName"].Value = paramSource;
                        //...

                        sqlComm.ExecuteNonQuery();
                    }
                }
            }
        }
    }
}